#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-extras
version:              0.10.2
visibility:           public
id:                   primitive-extras-0.10.2-8Qpl1jpbstiFzbf3qTafRJ
key:                  primitive-extras-0.10.2-8Qpl1jpbstiFzbf3qTafRJ
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  be27ccec1e23bcf8b90782a81ea2f307
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.2-8Qpl1jpbstiFzbf3qTafRJ
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    cereal-0.5.8.3-9zcITCTkqXtHoa6jbeSF22
    deferred-folds-0.9.18.6-2hROn07hzyWBmHh6LH1egA
    focus-1.0.3.2-IfoLIwKY3yh6Kmd3UuIGbv
    foldl-1.4.17-4aCp8lk9T8eIzelEUPnT8h
    list-t-1.0.5.5-FR40BfprFHIAh98jb2VDEQ
    primitive-0.7.4.0-2x9HuitYxlcInteNIbUTzK
    primitive-unlifted-0.1.3.1-JxebFhxIulnBwYI4Yvcqr2
    profunctors-5.6.2-28ne1gzs5TU59jjm4cqmFD
    vector-0.13.1.0-HRMJcTNtHmH9PMIsGjP73X

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

